> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/platform/projects/export-project-items/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # API · Projects · Export project items POST https://api.simplified.com/api/v1/projects/{resourcetype}/{id}/export-items Content-Type: application/json Export specified ProjectItems to a partner integration (e.g. WordPress, social media). Provide the partner account ID and the list of item UUIDs to export. Reference: https://docs.simplified.com/api-reference/platform/projects/export-project-items ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `resourcetype` (string, required) — Project type selector - `id` (string, required) — Project ID ### Body (application/json) This endpoint expects an ExportProjectItemsRequest. - `partner_id` (integer, required) — Partner integration ID to export items to - `item_ids` (list of string, required) — List of ProjectItem UUIDs to export ## Response ### 201 Export initiated - `any` ## Errors ### 400 Bad Request Error Validation error - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Project not found - `any` ## Examples **Request** ```json { "partner_id": 123, "item_ids": [ "d1e2f3a4-b5c6-7890-abcd-000000000001", "d1e2f3a4-b5c6-7890-abcd-000000000002" ] } ``` **SDK Code** ```python Projects_exportProjectItems_example import requests url = "https://api.simplified.com/api/v1/projects/resourcetype/id/export-items" payload = { "partner_id": 123, "item_ids": ["d1e2f3a4-b5c6-7890-abcd-000000000001", "d1e2f3a4-b5c6-7890-abcd-000000000002"] } headers = { "Authorization": "Api-Key ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Projects_exportProjectItems_example const url = 'https://api.simplified.com/api/v1/projects/resourcetype/id/export-items'; const options = { method: 'POST', headers: {Authorization: 'Api-Key ', 'Content-Type': 'application/json'}, body: '{"partner_id":123,"item_ids":["d1e2f3a4-b5c6-7890-abcd-000000000001","d1e2f3a4-b5c6-7890-abcd-000000000002"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Projects_exportProjectItems_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/projects/resourcetype/id/export-items" payload := strings.NewReader("{\n \"partner_id\": 123,\n \"item_ids\": [\n \"d1e2f3a4-b5c6-7890-abcd-000000000001\",\n \"d1e2f3a4-b5c6-7890-abcd-000000000002\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Api-Key ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Projects_exportProjectItems_example require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/projects/resourcetype/id/export-items") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Api-Key ' request["Content-Type"] = 'application/json' request.body = "{\n \"partner_id\": 123,\n \"item_ids\": [\n \"d1e2f3a4-b5c6-7890-abcd-000000000001\",\n \"d1e2f3a4-b5c6-7890-abcd-000000000002\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java Projects_exportProjectItems_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.simplified.com/api/v1/projects/resourcetype/id/export-items") .header("Authorization", "Api-Key ") .header("Content-Type", "application/json") .body("{\n \"partner_id\": 123,\n \"item_ids\": [\n \"d1e2f3a4-b5c6-7890-abcd-000000000001\",\n \"d1e2f3a4-b5c6-7890-abcd-000000000002\"\n ]\n}") .asString(); ``` ```php Projects_exportProjectItems_example request('POST', 'https://api.simplified.com/api/v1/projects/resourcetype/id/export-items', [ 'body' => '{ "partner_id": 123, "item_ids": [ "d1e2f3a4-b5c6-7890-abcd-000000000001", "d1e2f3a4-b5c6-7890-abcd-000000000002" ] }', 'headers' => [ 'Authorization' => 'Api-Key ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Projects_exportProjectItems_example using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/projects/resourcetype/id/export-items"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Api-Key "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"partner_id\": 123,\n \"item_ids\": [\n \"d1e2f3a4-b5c6-7890-abcd-000000000001\",\n \"d1e2f3a4-b5c6-7890-abcd-000000000002\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Projects_exportProjectItems_example import Foundation let headers = [ "Authorization": "Api-Key ", "Content-Type": "application/json" ] let parameters = [ "partner_id": 123, "item_ids": ["d1e2f3a4-b5c6-7890-abcd-000000000001", "d1e2f3a4-b5c6-7890-abcd-000000000002"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/projects/resourcetype/id/export-items")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```